Macaulay2 » Documentation
Packages » NCAlgebra :: gddKernel
next | previous | forward | backward | up | index | toc

# gddKernel -- Computes a homogeneous generating set of the kernel of a ring map.

- Usage:
    `kern = gddKernel(n,phi)`
- Inputs:
  - n, an integer,
  - phi, an instance of the type NCRingMap,
- Outputs:
  - kern, a list,

## Description

This function returns a generating set of the kernel of a ring map up to a specified degree.

    i1 : A = QQ{x,y,z}

    o1 = A

    o1 : NCPolynomialRing

    i2 : B = skewPolynomialRing(QQ,(-1)_QQ, {a,b,c})
    --Calling Bergman for NCGB calculation.
    Complete!

    o2 = B

    o2 : NCQuotientRing

    i3 : phi = ncMap(B,A,{a,b,c})

    o3 = NCRingMap B <--- A

    o3 : NCRingMap

    i4 : gddKernel(4,phi)
    Computing kernel in degree 1
    Computing kernel in degree 2
    Computing kernel in degree 3
    Computing kernel in degree 4

    o4 = {yx+xy, zx+xz, zy+yz}

    o4 : List

## Ways to use gddKernel:

- `gddKernel(ZZ,NCRingMap)`

## For the programmer

The object gddKernel is a method function.

The source of this document is in /build/macaulay2-88fgJW/macaulay2-1.25.11+ds/M2/Macaulay2/packages/NCAlgebra/NCAlgebraDoc.m2:4170:0.